import {
  testSnapshot,
  wrapComponent
} from '../../test-utils'
import App from './app.vue'

describe('App', () => {
  it('renders expected snapshots', () => {
    testSnapshot(wrapComponent(App, {
      propsData: {
        menuLinks: [{
          path: '/',
          text: 'Home',
          icon: 'home'
        }, {
          path: '/info',
          text: 'Info',
          icon: 'info'
        }]
      },
      mocks: {
        $route: {
          path: '/'
        }
      }
    }))
  })
})
