import { className, mergeData } from '../../core/utils'
import Text from '../text/text'

export default {
  extends: Text,
  functional: true,
  props: {
    tag: {
      type: String,
      default: 'label'
    }
  },
  render(h, ctx) {
    return h(Text, mergeData(ctx, {
      class: className(ctx, 'label'),
      props: ctx.props
    }), ctx.children)
  }
}
