import { StyleSheet } from 'fela-tools'
import { COLOR, MENU } from '../../core/constants'
import layout from '../../rules/layout/layout'
import list from '../../rules/list/list'

export default StyleSheet.create({
  list,
  menu: {
    width: MENU.WIDTH,
    backgroundColor: COLOR.SMOKE
  },
  header: {
    height: MENU.WIDTH,
    backgroundColor: COLOR.SLATE,
    extend: layout({
      justify: 'center',
      align: 'center'
    }),
    belowDesktop: {
      display: 'none'
    }
  },
  nav: ({ padNavTop, padNavBottom }) => ({
    paddingBottom: padNavBottom ? MENU.NAV_PADDING : null,
    paddingTop: padNavTop ? MENU.NAV_PADDING : null
  })
})
