import { StyleSheet } from 'fela-tools'
import { COLOR } from '../../core/constants'
import layoutRule from '../../rules/layout/layout'
import flexRule from '../../rules/flex/flex'

export default StyleSheet.create({
  cell: ({ dim, flex, layout }) => ({
    extend: [{
      condition: flex,
      style: flexRule(flex)
    }, {
      condition: layout,
      style: layoutRule(layout)
    }, {
      condition: dim,
      style: {
        backgroundColor: COLOR.PAPER
      }
    }]
  })
})
