import { objectReduce } from 'fast-loops'

const concatStyle = (result, value, key) => {
  return `${result}${key}:${value};`
}

const reduceStyles = (styles) => {
  return objectReduce(styles, concatStyle, '')
}

const concatStyles = (result, styles, selector) => {
  return `${result}${selector}{${reduceStyles(styles)}}`
}

const reduceSelectors = (selectors) => {
  return objectReduce(selectors, concatStyles, '')
}

export default reduceSelectors({
  '*': {
    '-webkit-tap-highlight-color': 'rgba(0,0,0,0)'
  },
  'html,body': {
    margin: 0
  }
})
