import {
  testSnapshot,
  wrapComponent
} from '../../test-utils'
import Nav from './nav.vue'

describe('Nav', () => {
  it('renders expected snapshots', () => {
    testSnapshot(wrapComponent(Nav, {
      propsData: {
        links: [{
          path: '/',
          text: 'Home'
        }, {
          path: '/info',
          text: 'Info'
        }]
      },
      mocks: {
        $route: {
          path: '/'
        }
      }
    }))
  })
})
