import fill from './fill'

describe('fill', () => {
  it('renders expected snapshots', () => {
    expect(fill()).toMatchSnapshot()
    expect(fill({
      position: 'fixed'
    })).toMatchSnapshot()
    expect(fill({
      edges: 'top|left',
      value: '8px'
    })).toMatchSnapshot()
    expect(fill({
      edges: [ 'top', 'bottom' ],
      value: -20
    })).toMatchSnapshot()
    expect(fill({
      edges: {
        left: 100,
        right: 200
      },
      value: 'redundant'
    })).toMatchSnapshot()
  })
})
